- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# QList< T >::const_iterator Class Reference

Search for all occurrences

## Detailed Description

### template<typename T>
class QList< T >::const_iterator

Definition at line 215 of file qlist.h.

`#include <qlist.h>`

List of all members.

## Public Types
typedef std::random_access_iterator_tag | iterator_category
typedef qptrdiff | difference_type
typedef T | value_type
typedef const T * | pointer
typedef const T & | reference
## Public Member Functions
| const_iterator ()
| const_iterator (Node *n)
| const_iterator (const const_iterator &o)
| const_iterator (const iterator &o)
const T & | operator* () const
const T * | operator-> () const
const T & | operator[] (int j) const
bool | operator== (const const_iterator &o) const
bool | operator!= (const const_iterator &o) const
bool | operator< (const const_iterator &other) const
bool | operator<= (const const_iterator &other) const
bool | operator> (const const_iterator &other) const
bool | operator>= (const const_iterator &other) const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator-- ()
const_iterator | operator-- (int)
const_iterator & | operator+= (int j)
const_iterator & | operator-= (int j)
const_iterator | operator+ (int j) const
const_iterator | operator- (int j) const
int | operator- (const_iterator j) const
## Public Attributes
Node * | i

## Member Typedef Documentation

typedef std::random_access_iterator_tag iterator_category

Search for all occurrences

Definition at line 218 of file qlist.h.

typedef qptrdiff difference_type

Search for all occurrences

Definition at line 219 of file qlist.h.

typedef T value_type

Search for all occurrences

Definition at line 220 of file qlist.h.

typedef const T* pointer

Search for all occurrences

Definition at line 221 of file qlist.h.

typedef const T& reference

Search for all occurrences

Definition at line 222 of file qlist.h.

## Constructor & Destructor Documentation

const_iterator | ( |  | ) | `[inline]`

Definition at line 224 of file qlist.h.

    : i(0) {}

const_iterator | ( | Node * | n | ) | `[inline]`

Definition at line 225 of file qlist.h.

    : i(n) {}

const_iterator | ( | const const_iterator & | o | ) | `[inline]`

Definition at line 226 of file qlist.h.

    : i(o.i) {}

const_iterator | ( | const iterator & | o | ) | `[inline]`

Definition at line 230 of file qlist.h.

    : i(o.i) {}

## Member Function Documentation

const T& operator* | ( |  | ) | const `[inline]`

Definition at line 232 of file qlist.h.

    { return i->t(); }

const T* operator-> | ( | void |  | ) | const `[inline]`

Definition at line 233 of file qlist.h.

    { return &i->t(); }

const T& operator[] | ( | int | j | ) | const `[inline]`

Definition at line 234 of file qlist.h.

    { return i[j].t(); }

bool operator== | ( | const const_iterator & | o | ) | const `[inline]`

Definition at line 235 of file qlist.h.

    { return i == o.i; }

bool operator!= | ( | const const_iterator & | o | ) | const `[inline]`

Definition at line 236 of file qlist.h.

    { return i != o.i; }

bool operator< | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 237 of file qlist.h.

    { return i < other.i; }

bool operator<= | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 238 of file qlist.h.

    { return i <= other.i; }

bool operator> | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 239 of file qlist.h.

    { return i > other.i; }

bool operator>= | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 240 of file qlist.h.

    { return i >= other.i; }

const_iterator& operator++ | ( |  | ) | `[inline]`

Definition at line 241 of file qlist.h.

    { ++i; return *this; }

const_iterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 242 of file qlist.h.

    { Node *n = i; ++i; return n; }

const_iterator& operator-- | ( |  | ) | `[inline]`

Definition at line 243 of file qlist.h.

    { i--; return *this; }

const_iterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 244 of file qlist.h.

    { Node *n = i; i--; return n; }

const_iterator& operator+= | ( | int | j | ) | `[inline]`

Definition at line 245 of file qlist.h.

    { i+=j; return *this; }

const_iterator& operator-= | ( | int | j | ) | `[inline]`

Definition at line 246 of file qlist.h.

    { i-=j; return *this; }

const_iterator operator+ | ( | int | j | ) | const `[inline]`

Definition at line 247 of file qlist.h.

    { return const_iterator(i+j); }

const_iterator operator- | ( | int | j | ) | const `[inline]`

Definition at line 248 of file qlist.h.

    { return const_iterator(i-j); }

int operator- | ( | const_iterator | j | ) | const `[inline]`

Definition at line 249 of file qlist.h.

    { return i - j.i; }

## Member Data Documentation

Node* i

Search for all occurrences

Definition at line 217 of file qlist.h.

The documentation for this class was generated from the following file:

- QtCore/qlist.h

QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator
QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator QList< T >::const_iterator